From 80e6aff72affa6d92f5abd7ff6353dfc4a7bff38 Mon Sep 17 00:00:00 2001
From: Alexander Kanavin <alex.kanavin@gmail.com>
Date: Wed, 31 Aug 2016 16:44:46 +0300
Subject: [PATCH] Do not hardocode paths to perl/python in scripts.

Doing so when the interpreters are somewhere deep in a sysroot directory
can reach the shebang line limit, and resulting scripts wouldn't work
on targets either.

Upstream-Status: Inappropriate [oe-core specific]
Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com>

---
 gtkdoc-check.in    | 2 +-
 gtkdoc-depscan.in  | 2 +-
 gtkdoc-fixxref.in  | 2 +-
 gtkdoc-mkdb.in     | 2 +-
 gtkdoc-mkhtml.in   | 2 +-
 gtkdoc-mkman.in    | 2 +-
 gtkdoc-mkpdf.in    | 2 +-
 gtkdoc-rebase.in   | 2 +-
 gtkdoc-scan.in     | 2 +-
 gtkdoc-scangobj.in | 2 +-
 tests/tools.sh.in  | 2 +-
 11 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/gtkdoc-check.in b/gtkdoc-check.in
index 8c8e917..f6a25f6 100755
--- a/gtkdoc-check.in
+++ b/gtkdoc-check.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python; coding: utf-8 -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/gtkdoc-depscan.in b/gtkdoc-depscan.in
index 9bfaf30..aadc952 100755
--- a/gtkdoc-depscan.in
+++ b/gtkdoc-depscan.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 
 from __future__ import print_function
 
diff --git a/gtkdoc-fixxref.in b/gtkdoc-fixxref.in
index 44f6bd1..26fbd93 100755
--- a/gtkdoc-fixxref.in
+++ b/gtkdoc-fixxref.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/gtkdoc-mkdb.in b/gtkdoc-mkdb.in
index 42d5731..3a56d56 100755
--- a/gtkdoc-mkdb.in
+++ b/gtkdoc-mkdb.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python; coding: utf-8 -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/gtkdoc-mkhtml.in b/gtkdoc-mkhtml.in
index 0d0a15d..914ff55 100755
--- a/gtkdoc-mkhtml.in
+++ b/gtkdoc-mkhtml.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python; coding: utf-8 -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/gtkdoc-mkman.in b/gtkdoc-mkman.in
index c5445cd..65db71a 100755
--- a/gtkdoc-mkman.in
+++ b/gtkdoc-mkman.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python; coding: utf-8 -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/gtkdoc-mkpdf.in b/gtkdoc-mkpdf.in
index e8c0c03..f807236 100755
--- a/gtkdoc-mkpdf.in
+++ b/gtkdoc-mkpdf.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python; coding: utf-8 -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/gtkdoc-rebase.in b/gtkdoc-rebase.in
index 17a71c2..ec3fd28 100755
--- a/gtkdoc-rebase.in
+++ b/gtkdoc-rebase.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/gtkdoc-scan.in b/gtkdoc-scan.in
index 954c811..f461504 100755
--- a/gtkdoc-scan.in
+++ b/gtkdoc-scan.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/gtkdoc-scangobj.in b/gtkdoc-scangobj.in
index 4cbe130..52c2c24 100755
--- a/gtkdoc-scangobj.in
+++ b/gtkdoc-scangobj.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!/usr/bin/env python3
 # -*- python -*-
 #
 # gtk-doc - GTK DocBook documentation generator.
diff --git a/tests/tools.sh.in b/tests/tools.sh.in
index 343844a..9dc6692 100644
--- a/tests/tools.sh.in
+++ b/tests/tools.sh.in
@@ -30,7 +30,7 @@ done
 # TODO: also test the module files
 for file in gtkdoc-check gtkdoc-depscan gtkdoc-fixxref gtkdoc-mkdb gtkdoc-mkhtml gtkdoc-mkhtml2 gtkdoc-mkman gtkdoc-mkpdf gtkdoc-rebase gtkdoc-scangobj; do
     fullfile=`which $file`
-    @PYTHON@ -m py_compile $fullfile
+    python3 -m py_compile $fullfile
     if test $? != 0 ; then failed=`expr $failed + 1`; fi
     tested=`expr $tested + 1`
 done
